Package org.opensaml.core.criterion

# Class SatisfyAnyCriterion

java.lang.Object
org.opensaml.core.criterion.SatisfyAnyCriterion

All Implemented Interfaces:
  `Criterion`

public class SatisfyAnyCriterion extends Object implements Criterion
A criterion which allows to specify at runtime whether candidates being evaluated must satisfy all other specified criteria, or may satisfy any criteria.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`satisfyAny`
The satisfyAny criterion value.

## Constructor Summary

Constructors
Constructor
Description
`SatisfyAnyCriterion()`
Constructor.
`SatisfyAnyCriterion(boolean value)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`int`
`hashCode()`
`boolean`
`isSatisfyAny()`
Get the satisfyAny value.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### satisfyAny

private boolean satisfyAny
The satisfyAny criterion value.

## Constructor Details

### SatisfyAnyCriterion

public SatisfyAnyCriterion()
Constructor.

### SatisfyAnyCriterion

public SatisfyAnyCriterion(boolean value)
Constructor.

Parameters:
  `value` - the satisfyAny flag value

## Method Details

### isSatisfyAny

public boolean isSatisfyAny()
Get the satisfyAny value.

Returns:
  true or false

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`